# tag the owner so they don't get hurt for the first few ticks
execute as @a if score @s kEB-pid = @e[tag=k-eb-block-projectile,distance=0,limit=1] kEB-pid run tag @s add k-eb--owner

# damage all non-player mobs
#    (mobs excluding undead)
execute if entity @s[scores={kEB-age=0..,kEB-damage=1}] run effect give @e[type=!minecraft:player,type=!#earthbending:undead,distance=0..1.5] minecraft:instant_damage 1 0
execute if entity @s[scores={kEB-age=0..,kEB-damage=2}] run effect give @e[type=!minecraft:player,type=!#earthbending:undead,distance=0..1.5] minecraft:instant_damage 1 1
execute if entity @s[scores={kEB-age=0..,kEB-damage=3}] run effect give @e[type=!minecraft:player,type=!#earthbending:undead,distance=0..1.5] minecraft:instant_damage 1 2
#    (undead mobs)
execute if entity @s[scores={kEB-age=0..,kEB-damage=1}] run effect give @e[type=#earthbending:undead,distance=0..1.5] minecraft:instant_health 1 0
execute if entity @s[scores={kEB-age=0..,kEB-damage=2}] run effect give @e[type=#earthbending:undead,distance=0..1.5] minecraft:instant_health 1 1
execute if entity @s[scores={kEB-age=0..,kEB-damage=3}] run effect give @e[type=#earthbending:undead,distance=0..1.5] minecraft:instant_health 1 2


# first 3 ticks only - damage players excluding owner
execute if entity @s[scores={kEB-age=..3,kEB-damage=1}] positioned ~-0.5 ~ ~-0.5 run effect give @a[tag=!k-eb--owner,dx=0,dy=0,dz=0] minecraft:instant_damage 1 0
execute if entity @s[scores={kEB-age=..3,kEB-damage=2}] positioned ~-0.5 ~ ~-0.5 run effect give @a[tag=!k-eb--owner,dx=0,dy=0,dz=0] minecraft:instant_damage 1 1
execute if entity @s[scores={kEB-age=..3,kEB-damage=3}] positioned ~-0.5 ~ ~-0.5 run effect give @a[tag=!k-eb--owner,dx=0,dy=0,dz=0] minecraft:instant_damage 1 2


# after 3 ticks - damage players including owner
execute if entity @s[scores={kEB-age=4..,kEB-damage=1}] positioned ~-0.5 ~ ~-0.5 run effect give @a[dx=0,dy=0,dz=0] minecraft:instant_damage 1 0
execute if entity @s[scores={kEB-age=4..,kEB-damage=2}] positioned ~-0.5 ~ ~-0.5 run effect give @a[dx=0,dy=0,dz=0] minecraft:instant_damage 1 1
execute if entity @s[scores={kEB-age=4..,kEB-damage=3}] positioned ~-0.5 ~ ~-0.5 run effect give @a[dx=0,dy=0,dz=0] minecraft:instant_damage 1 2


# play "whoosh" sound for players that almost get hit
execute positioned ~-1.5 ~-1 ~-1.5 as @a[dx=2,dy=2,dz=2] positioned ~1 ~1 ~1 unless entity @s[dx=0,dy=0,dz=0] unless score @s kEB-sound matches 1.. positioned ~ ~0.5 ~ run function earthbending:whoosh

tag @a[tag=k-eb--owner] remove k-eb--owner